import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { InstallerComponent } from './installer/installer.component';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { UserInstallerEditComponent } from './installer/edit/edit.component';
import { AlarmUserComponent } from './alarm-user/alarm-user.component';
import { AlarmUserEditComponent } from './alarm-user/alarm-user-edit/alarm-user-edit.component';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'installer', component: InstallerComponent },
      { path: 'alarm-user', component: AlarmUserComponent }
    ]
  }
];

const COMPONENTS_NOROUNT = [ UserInstallerEditComponent,AlarmUserEditComponent ];

@NgModule({
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    InstallerComponent,
    ...COMPONENTS_NOROUNT,
    AlarmUserComponent,
    AlarmUserEditComponent
  ],
  entryComponents: COMPONENTS_NOROUNT
})
export class UsersModule { }
